org.glassfish.jersey.server.model

## Interface ResourceModelComponent

All Known Implementing Classes:
  HandlerConstructor, Invocable, MethodHandler, Resource, ResourceMethod, ResourceModel, RuntimeResource

    public interface ResourceModelComponent

Marker interface for all abstract resource model components, so that they can be traversed using a visitor pattern.

Author:
  Jakub Podlesak
See Also:
  `ResourceModelVisitor`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `accept(ResourceModelVisitor visitor)` A component should call the visitor back with an appropriate visitor interface method to give it a chance to process.
`List<? extends ResourceModelComponent>` `getComponents()` Should return all existing resource model sub-components.

### Method Detail

#### accept

    void accept(ResourceModelVisitor visitor)

A component should call the visitor back with an appropriate visitor interface method to give it a chance to process.

Parameters:
  `visitor` - resource model visitor.

#### getComponents

    List<? extends ResourceModelComponent> getComponents()

Should return all existing resource model sub-components.

Returns:
  list of all sub-components